org.eclipse.jgit.internal.storage.file

## Class PackBitmapIndexBuilder.StoredEntry

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.PackBitmapIndexBuilder.StoredEntry

Enclosing class:
  PackBitmapIndexBuilder

    public static final class PackBitmapIndexBuilder.StoredEntry
    extends Object

Data object for the on disk representation of a bitmap entry.

### Method Summary

Methods
`com.googlecode.javaewah.EWAHCompressedBitmap` `getBitmap()`
`int` `getFlags()`
`long` `getObjectId()`
`int` `getXorOffset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBitmap

    public com.googlecode.javaewah.EWAHCompressedBitmap getBitmap()

Returns:
  the bitmap

#### getXorOffset

    public int getXorOffset()

Returns:
  the xorOffset

#### getFlags

    public int getFlags()

Returns:
  the flags

#### getObjectId

    public long getObjectId()

Returns:
  the ObjectId